Subject: Re: bug#77866: 30.0.50; message.el handling of non-ascii names in addresses

From: Robert Pluim <[email-masked]>
Date: Fri, 18 Apr 2025 09:40:14 +0200

>>>>> On Thu, 17 Apr 2025 16:45:25 +0100, Al Haji-Ali <[email-masked]> said:

    Abdo> On 17/04/2025, Robert Pluim wrote:
    >> The root cause of this is that `mail-encode-encoded-word-buffer' is
    >> using the `mime' method to encode the value, instead of the
    >> `address-mime' method. Thatʼs because youʼve written the "Cc" header
    >> name as "CC", and the lookup for the method based on the header name
    >> is being done case-sensitively. Patch below fixes it for me (it also
    >> helps if you put a newline at the end of the string youʼre testing)

    Abdo> Yep, can confirm your patch fixes the issue. Thanks!

Thanks for testing. Maintainers, since this bug has been around
basically forever, I guess the fix goes to master, not the release
branch?

Thanks

Robert
--